import { Renderer2, RendererFactory2, RendererType2 } from '@angular/core';
import { AgentNode } from './agent-node';
import { MiniProgramRenderer } from './mini-program.renderer';
import * as i0 from "@angular/core";
export declare class MiniProgramRendererFactory implements RendererFactory2 {
    defaultRenderer: MiniProgramRenderer;
    constructor();
    createRenderer(element: AgentNode, type: RendererType2 | null): Renderer2;
    begin(): void;
    end(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MiniProgramRendererFactory, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MiniProgramRendererFactory>;
}


